-module(so_eunit_SUITE).

-compile([export_all, nowarn_export_all]).

-include_lib("common_test/include/ct.hrl").

all() ->
    [{group, eunit}].

groups() ->
    [{eunit, [], [ so_scan_tests
                 , so_parser_tests
                 , so_compiler_tests
                 , so_abi_tests
		 , so_aci_tests
                 ]}].

so_scan_tests(_Config)   -> ok = eunit:test(so_scan_tests).
so_parser_tests(_Config) -> ok = eunit:test(so_parser_tests).
so_compiler_tests(_Config) -> ok = eunit:test(so_compiler_tests).
so_abi_tests(_Config) -> ok = eunit:test(so_abi_tests).
so_aci_tests(_Config) -> ok = eunit:test(so_aci_tests).
